Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.invocation
Class InvocationContext

    java.lang.Object
      org.jboss.invocation.InvocationContext

All Implemented Interfaces:
  Serializable

public class InvocationContext
extends Object
implements Serializable

The Invocation Context

Describes the context in which this Invocation is being executed in the interceptors

The heart of it is the payload map that can contain anything we then put readers on them. The first "reader" is this "Invocation" object that can interpret the data in it.

Essentially we can carry ANYTHING from the client to the server, we keep a series of redifined variables and method calls to get at the pointers. But really it is just a repository of objects.

Version:
  $Revision: 1.8 $
Author:
  Marc Fleury
See Also:
  Serialized Form

Field Summary
`Map` | `context`

Constructor Summary
`InvocationContext()` Exposed for externalization only.
`InvocationContext(Map context)` Invocation creation

Method Summary
`Object` | `getCacheId()`
`Invoker` | `getInvoker()`
`String` | `getInvokerProxyBinding()`
`Object` | `getObjectName()`
`Object` | `getValue(Object key)` Get a value from the stores.
`void` | `setCacheId(Object id)` Return the invocation target ID.
`void` | `setInvoker(Invoker invoker)`
`void` | `setInvokerProxyBinding(String binding)`
`void` | `setObjectName(Object objectName)` A container for server side association.
`void` | `setValue(Object key, Object value)` The generic store of variables

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    public Map context

Constructor Detail

### InvocationContext

    public InvocationContext()

  Exposed for externalization only.

### InvocationContext

    public InvocationContext(Map context)

  Invocation creation

Method Detail

### setValue

    public void setValue(Object key,
                         Object value)

  The generic store of variables

### getValue

    public Object getValue(Object key)

  Get a value from the stores.

### setObjectName

    public void setObjectName(Object objectName)

  A container for server side association.

### getObjectName

    public Object getObjectName()

### setCacheId

    public void setCacheId(Object id)

  Return the invocation target ID. Can be used to identify a cached object.

### getCacheId

    public Object getCacheId()

### setInvoker

    public void setInvoker(Invoker invoker)

### getInvoker

    public Invoker getInvoker()

### setInvokerProxyBinding

    public void setInvokerProxyBinding(String binding)

### getInvokerProxyBinding

    public String getInvokerProxyBinding()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.